Bug 179588

Summary: audio/specimen: Support CFLAGS properly
Product: Ports & Packages Reporter: tkato432
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description tkato432 2013-06-15 19:10:04 UTC
- Support CFLAGS properly
- Add DESKTOP_ENTRIES
Comment 1 Edwin Groothuis freebsd_committer 2013-06-15 19:11:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-06-17 16:18:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-06-17 16:18:30 UTC
Author: miwi
Date: Mon Jun 17 15:18:21 2013
New Revision: 321128
URL: http://svnweb.freebsd.org/changeset/ports/321128

Log:
  - Support CFLAGS properly
  - Add DESKTOP_ENTRIES
  
  PR:		179588
  Submitted by:	Ports Fury

Modified:
  head/audio/specimen/Makefile   (contents, props changed)

Modified: head/audio/specimen/Makefile
==============================================================================
--- head/audio/specimen/Makefile	Mon Jun 17 15:15:37 2013	(r321127)
+++ head/audio/specimen/Makefile	Mon Jun 17 15:18:21 2013	(r321128)
@@ -1,32 +1,38 @@
-# New ports collection makefile for:	specimen
-# Date created:		2007-03-06
-# Whom:			trasz <trasz@pin.if.uz.zgora.pl>
-#
+# Created by: trasz <trasz@pin.if.uz.zgora.pl>
 # $FreeBSD$
-#
 
 PORTNAME=	specimen
 DISTVERSION=	0.5.2-rc3
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	audio
 MASTER_SITES=	http://zhevny.com/specimen/files/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI controllable audio sampler
 
-LIB_DEPENDS=	phat.0:${PORTSDIR}/x11-toolkits/phat \
-		jack.0:${PORTSDIR}/audio/jack \
-		samplerate.1:${PORTSDIR}/audio/libsamplerate \
-		sndfile.1:${PORTSDIR}/audio/libsndfile \
-		lash.2:${PORTSDIR}/audio/lash
-BUILD_DEPENDS=	jackit>=0.109.2:${PORTSDIR}/audio/jack
-
 # Between 0.109.0 and earlier versions there was an api change in JACK.
 # However, the library version number was not changed.  The line above
 # is supposed to work around that.
 
-GNU_CONFIGURE=	yes
+BUILD_DEPENDS=	jackit>=0.109.2:${PORTSDIR}/audio/jack
+LIB_DEPENDS=	jack:${PORTSDIR}/audio/jack \
+		lash:${PORTSDIR}/audio/lash \
+		samplerate:${PORTSDIR}/audio/libsamplerate \
+		sndfile:${PORTSDIR}/audio/libsndfile \
+		phat:${PORTSDIR}/x11-toolkits/phat
+
+USE_GNOME=	libgnomecanvas libxml2
 USE_GMAKE=	yes
-USE_GNOME=	libxml2 libgnomecanvas
+GNU_CONFIGURE=	yes
+
+DESKTOP_ENTRIES="Specimen" "" "${DATADIR}/pixmaps/specimen.png" \
+		"${PORTNAME}" "" ""
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|-Werror|| ; \
+		 s|-O3|$$CFLAGS|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|-l\.\.|-I..|' ${WRKSRC}/src/gui/Makefile.in
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"